## python-proton-vpn-killswitch 0.4.0

=== debian/changelog ===
python-proton-vpn-killswitch (0.4.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 11 Sep 2024 20:16:28 -0300

python-proton-vpn-killswitch (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1078500)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 23 Jul 2024 21:29:34 -0300
