=== debian/control ===
Source: python-proton-vpn-killswitch
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pylint <!nocheck>,
               python3-all,
               python3-mypy <!nocheck>,
               python3-proton-core,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-flake8 <nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-xdg <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/ProtonVPN/python-proton-vpn-killswitch
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-proton-vpn-killswitch
Vcs-Git: https://salsa.debian.org/python-team/packages/python-proton-vpn-killswitch.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-proton-vpn-killswitch
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-python-proton-vpn-killswitch-doc
Description: Proton Technologies VPN Kill Switch for Linux
 The proton-vpn-killswitch module is an essential component that defines the
 "kill switch" interface for the ProtonVPN VPN. The main function of a "kill
 switch" in a VPN is to ensure that in the event of an unexpected disconnection
 from the VPN, all network traffic is immediately stopped. This prevents
 sensitive data from being transmitted without the protection of the VPN, thus
 ensuring user privacy and security.
 .
 Although the proton-vpn-killswitch module defines the interface, it does
 not implement specific functionality by itself. Instead, it allows other
 implementations, such as proton-vpn-killswitch-network-manager, to realize
 the defined functionality. This promotes a modular and extensible architecture,
 where different components can be developed and updated independently.
 .
 Its purpose is:
    - Provide Network Security: Ensures that, in the event of any failure in
      the VPN connection, network traffic is interrupted to prevent sensitive
      information from being exposed to the public network or unsecured
      networks.
    - Modularity and Extensibility: Facilitate the addition and integration
      of different kill switch methods, such as those specific to different
      network managers (e.g. Network Manager), operating systems or network
      environments. This allows ProtonVPN to support a variety of user
      configurations and needs.
    - Consistency in Implementation: Ensure that all kill switch implementations
      in ProtonVPN follow a consistent standard, providing a uniform and
      reliable user experience regardless of the platform or environment
      in which ProtonVPN is being used.

Package: python-proton-vpn-killswitch-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Proton Technologies VPN Kill Switch for Linux" (common documentation)
 The proton-vpn-killswitch module is an essential component that defines the
 "kill switch" interface for the ProtonVPN VPN. The main function of a "kill
 switch" in a VPN is to ensure that in the event of an unexpected disconnection
 from the VPN, all network traffic is immediately stopped. This prevents
 sensitive data from being transmitted without the protection of the VPN, thus
 ensuring user privacy and security.
 .
 Although the proton-vpn-killswitch module defines the interface, it does
 not implement specific functionality by itself. Instead, it allows other
 implementations, such as proton-vpn-killswitch-network-manager, to realize
 the defined functionality. This promotes a modular and extensible architecture,
 where different components can be developed and updated independently.
 .
 Its purpose is:
    - Provide Network Security: Ensures that, in the event of any failure in
      the VPN connection, network traffic is interrupted to prevent sensitive
      information from being exposed to the public network or unsecured
      networks.
    - Modularity and Extensibility: Facilitate the addition and integration
      of different kill switch methods, such as those specific to different
      network managers (e.g. Network Manager), operating systems or network
      environments. This allows ProtonVPN to support a variety of user
      configurations and needs.
    - Consistency in Implementation: Ensure that all kill switch implementations
      in ProtonVPN follow a consistent standard, providing a uniform and
      reliable user experience regardless of the platform or environment
      in which ProtonVPN is being used.
 .
 This is the common documentation package.
