=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=proton-vpn-killswitch

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs/ debian/python-proton-vpn-killswitch-doc/usr/share/doc/python-proton-vpn-killswitch-doc/html
